Index: src/Filling/unittests/Makefile.am
===================================================================
--- src/Filling/unittests/Makefile.am	(revision d496fd779438588c03d7f49cf25828367937b060)
+++ src/Filling/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -33,82 +33,51 @@
 noinst_PROGRAMS += $(FILLINGTESTS)
 
-FILLINGLIBS =
+FILLINGLIBS = \
+	../libMolecuilderFilling.la \
+	../libMolecuilderUI.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+FILLINGLIBS += \
+	../libMolecuilderJobs.la
+endif
+FILLINGLIBS += \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
+	${CodePatterns_LIBS} \
+	$(BOOST_LIBS)
 
 ClusterUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/ClusterUnitTest.cpp \
 	../Filling/unittests/ClusterUnitTest.hpp
-ClusterUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+ClusterUnitTest_LDADD = $(FILLINGLIBS)
 
 FillerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/FillerUnitTest.cpp \
 	../Filling/unittests/FillerUnitTest.hpp
-FillerUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+FillerUnitTest_LDADD = $(FILLINGLIBS)
 
 IsInsideDomain_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsInsideDomain_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsInsideDomain_FillPredicateUnitTest.hpp
-IsInsideDomain_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsInsideDomain_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 IsInsideSurface_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsInsideSurface_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsInsideSurface_FillPredicateUnitTest.hpp
-IsInsideSurface_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsInsideSurface_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 IsValidInDomain_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsValidInDomain_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsValidInDomain_FillPredicateUnitTest.hpp
-IsValidInDomain_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsValidInDomain_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 IsVoidNode_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsVoidNode_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsVoidNode_FillPredicateUnitTest.hpp
-IsVoidNode_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsVoidNode_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 Ops_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/Ops_FillPredicateUnitTest.cpp \
 	../Filling/unittests/Ops_FillPredicateUnitTest.hpp
-Ops_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+Ops_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 
